%define glib2_version           2.6.0
%define dbus_version            0.90
%define dbus_glib_version       0.70
%define DeviceKit_version       002
%define polkit_version          0.8
%define parted_version          1.8.8

Summary: Power Management Service
Name: DeviceKit-power
Version: 001
Release: 2%{?dist}
License: GPLv2+
Group: System Environment/Libraries
URL: http://gitweb.freedesktop.org/?p=users/david/DeviceKit.git;a=summary
Source0: http://people.freedesktop.org/~hughsient/releases/%{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: dbus-devel  >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: PolicyKit-devel >= %{polkit_version}
BuildRequires: DeviceKit-devel >= %{DeviceKit_version}
BuildRequires: sqlite-devel
BuildRequires: libtool
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: libusb-devel

Requires: dbus >= %{dbus_version}
Requires: dbus-glib >= %{dbus_glib_version}
Requires: glib2 >= %{glib2_version}
Requires: PolicyKit >= %{polkit_version}
Requires: DeviceKit >= %{DeviceKit_version}
Requires: udev

%description
DeviceKit-power provides a daemon, API and command line tools for
managing power devices attached to the system.

%package devel
Summary: Headers and libraries for DeviceKit-power
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Headers and libraries for DeviceKit-power.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
cp README AUTHORS NEWS COPYING HACKING doc/TODO $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)

%doc %dir %{_datadir}/doc/%{name}-%{version}
%doc %{_datadir}/doc/%{name}-%{version}/NEWS
%doc %{_datadir}/doc/%{name}-%{version}/COPYING
%doc %{_datadir}/doc/%{name}-%{version}/AUTHORS
%doc %{_datadir}/doc/%{name}-%{version}/HACKING
%doc %{_datadir}/doc/%{name}-%{version}/README
%doc %{_datadir}/doc/%{name}-%{version}/TODO

%{_sysconfdir}/dbus-1/system.d/*.conf
%{_sysconfdir}/udev/rules.d/*.rules

%{_bindir}/*
%{_libexecdir}/*

%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%{_datadir}/PolicyKit/policy/*.policy
%{_datadir}/dbus-1/system-services/*.service

%files devel
%defattr(-,root,root,-)
%{_datadir}/dbus-1/interfaces/*.xml
%dir %{_datadir}/gtk-doc/html/devkit-power
%{_datadir}/gtk-doc/html/devkit-power/*

%changelog
* Sat Sep 06 2008 Richard Hughes <richard@hughsie.com> 001-2
- Fix the licence, and some directory ownership issues for the review request

* Tue Sep 02 2008 Richard Hughes <richard@hughsie.com> 001-1
- Initial spec file

